--- old/usr/src/cmd/awk/Makefile	Tue Apr 21 11:33:49 2020
+++ new/usr/src/cmd/awk/Makefile	Tue Apr 21 11:33:49 2020
@@ -24,11 +24,12 @@
 # Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# Copyright (c) 2018, Joyent, Inc.
+# Copyright 2020 Joyent, Inc.
 
-# NOTE: awk is oawk.
+# NOTE: awk is now nawk.
 
 PROG= nawk
+LINKPROG= awk
 
 OBJ1= b.o lib.o main.o parse.o proctab.o run.o tran.o lex.o
 OBJ2= awk.g.o
@@ -37,6 +38,8 @@
 
 include ../Makefile.cmd
 
+ROOTLINK =	$(LINKPROG:%=$(ROOTBIN)/%)
+
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-variable
@@ -61,12 +64,15 @@
 
 .KEEP_STATE:
 
-all: $(PROG)
+all: $(PROG) $(ROOTLINK)
 
 $(PROG): $(OBJS)
 	$(LINK.c) $(OBJS) -o $@ $(LDLIBS)
 	$(POST_PROCESS)
 
+$(ROOTLINK):	$(ROOTPROG)
+	$(RM) $@; $(LN) $(ROOTPROG) $@
+
 #
 # message catalog
 #
@@ -87,8 +93,6 @@
 clean:
 	$(RM) $(OBJS) $(CLEANFILES)
 
-lint: awk.g.c lint_SRCS
-
 awk.g.c + y.tab.h: awk.g.y
 
 awk.g.o: awk.g.c
--- old/usr/src/cmd/oawk/Makefile	Tue Apr 21 11:33:49 2020
+++ new/usr/src/cmd/oawk/Makefile	Tue Apr 21 11:33:49 2020
@@ -28,7 +28,6 @@
 include		../Makefile.cmd
 
 PROG =		oawk
-LINKPROG =	awk
 
 SRCS =		b.c lib.c main.c parse.c run.c tran.c
 
@@ -62,8 +61,6 @@
 CPPFLAGS =      -I. $(CPPFLAGS.master)
 CPPFLAGS +=	-D_FILE_OFFSET_BITS=64
 
-ROOTLINK =	$(LINKPROG:%=$(ROOTBIN)/%)
-
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-unused-variable
@@ -105,7 +102,7 @@
 $(MAKEPRCTAB) :	$(NATIVEDIR) $(NATIVEOBJS)
 		$(LINK.c) $(NATIVEOBJS) -o $@ $(XLDLIBS5CC)
 
-install :	all $(ROOTPROG) $(ROOTLINK)
+install :	all $(ROOTPROG)
 
 $(NATIVEDIR) :
 		-@mkdir -p $(NATIVEDIR)
@@ -113,9 +110,6 @@
 $(NATIVEDIR)/%.o :	%.c
 		$(COMPILE.c) -o $@ $<
 
-$(ROOTLINK) :	$(ROOTPROG)
-		$(RM) $@; $(LN) $(ROOTPROG) $@
-
 clean:
 		$(RM) $(OBJS) $(CLEANFILES)
 
--- old/usr/src/man/man1/Makefile	Tue Apr 21 11:33:49 2020
+++ new/usr/src/man/man1/Makefile	Tue Apr 21 11:33:49 2020
@@ -248,7 +248,6 @@
 		msgget.1			\
 		mt.1				\
 		mv.1				\
-		nawk.1				\
 		nc.1				\
 		nca.1				\
 		ncab2clf.1			\
@@ -262,6 +261,7 @@
 		nm.1				\
 		nohup.1				\
 		nroff.1				\
+		oawk.1				\
 		od.1				\
 		optisa.1			\
 		pack.1				\
@@ -479,6 +479,7 @@
 		ksh.1		\
 		ldapadd.1	\
 		mailq.1		\
+		nawk.1		\
 		neqn.1		\
 		notify.1	\
 		onintr.1	\
@@ -619,6 +620,8 @@
 checkeq.1	:= LINKSRC = eqn.1
 neqn.1		:= LINKSRC = eqn.1
 
+nawk.1		:= LINKSRC = awk.1
+
 eval.1		:= LINKSRC = exec.1
 source.1	:= LINKSRC = exec.1
 
--- old/usr/src/pkg/manifests/system-extended-system-utilities.mf	Tue Apr 21 11:33:50 2020
+++ new/usr/src/pkg/manifests/system-extended-system-utilities.mf	Tue Apr 21 11:33:50 2020
@@ -23,6 +23,7 @@
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Nexenta Systems, Inc. All rights reserved.
 # Copyright 2016 RackTop Systems.
+# Copyright 2020 Joyent, Inc.
 #
 
 set name=pkg.fmri value=pkg:/system/extended-system-utilities@$(PKGVERS)
@@ -117,10 +118,10 @@
 file path=usr/bin/lgrpinfo mode=0555
 file path=usr/bin/look mode=0755
 file path=usr/bin/mkfifo mode=0555
-file path=usr/bin/nawk mode=0555
 file path=usr/bin/newform mode=0555
 file path=usr/bin/news mode=0555
 file path=usr/bin/nl mode=0555
+file path=usr/bin/oawk mode=0555
 file path=usr/bin/pack mode=0555
 file path=usr/bin/pginfo mode=0555
 file path=usr/bin/pgstat mode=0555
@@ -185,10 +186,10 @@
 file path=usr/share/man/man1/look.1
 file path=usr/share/man/man1/madv.so.1.1
 file path=usr/share/man/man1/mpss.so.1.1
-file path=usr/share/man/man1/nawk.1
 file path=usr/share/man/man1/newform.1
 file path=usr/share/man/man1/news.1
 file path=usr/share/man/man1/nl.1
+file path=usr/share/man/man1/oawk.1
 file path=usr/share/man/man1/pack.1
 file path=usr/share/man/man1/pargs.1
 file path=usr/share/man/man1/plgrp.1
@@ -223,7 +224,7 @@
     target=../../../usr/bin/$(ARCH32)/pargs
 hardlink path=usr/bin/$(ARCH64)/pauxv target=../../../usr/bin/$(ARCH64)/pargs
 hardlink path=usr/bin/$(ARCH64)/penv target=../../../usr/bin/$(ARCH64)/pargs
-hardlink path=usr/bin/oawk target=../../usr/bin/awk
+hardlink path=usr/bin/nawk target=../../usr/bin/awk
 hardlink path=usr/bin/pargs target=../../usr/lib/isaexec
 hardlink path=usr/bin/pauxv target=../../usr/lib/isaexec
 hardlink path=usr/bin/pcred target=../../usr/lib/isaexec
@@ -284,6 +285,7 @@
 link path=usr/proc/bin/pwdx target=../../bin/pwdx
 link path=usr/share/man/man1/hashcheck.1 target=spell.1
 link path=usr/share/man/man1/hashmake.1 target=spell.1
+link path=usr/share/man/man1/nawk.1 target=awk.1
 link path=usr/share/man/man1/pauxv.1 target=pargs.1
 link path=usr/share/man/man1/pcat.1 target=pack.1
 link path=usr/share/man/man1/penv.1 target=pargs.1
--- old/usr/src/test/util-tests/tests/awk/bugs-fixed/system-status.awk	Tue Apr 21 11:33:50 2020
+++ new/usr/src/test/util-tests/tests/awk/bugs-fixed/system-status.awk	Tue Apr 21 11:33:50 2020
@@ -9,7 +9,7 @@
 	status = system("exit 42")
 	print "normal status", status
 
-	status = system("kill -HUP $$")
+	status = system("kill -KILL $$")
 	print "death by signal status", status
 
 	status = system("cd $WORKDIR && kill -ABRT $$")
--- old/usr/src/test/util-tests/tests/awk/bugs-fixed/system-status.ok	Tue Apr 21 11:33:50 2020
+++ new/usr/src/test/util-tests/tests/awk/bugs-fixed/system-status.ok	Tue Apr 21 11:33:50 2020
@@ -1,3 +1,3 @@
 normal status 42
-death by signal status 257
+death by signal status 265
 death by signal with core dump status 518
--- old/usr/src/test/util-tests/tests/awk/runtests.sh	Tue Apr 21 11:33:50 2020
+++ new/usr/src/test/util-tests/tests/awk/runtests.sh	Tue Apr 21 11:33:50 2020
@@ -12,10 +12,10 @@
 #
 
 #
-# Copyright 2018, Joyent, Inc.
+# Copyright 2020 Joyent, Inc.
 #
 
-AWK=/usr/bin/nawk
+AWK=/usr/bin/awk
 WORKDIR=$(mktemp -d /tmp/nawktest.XXXXXX)
 
 SUCCESSES=0
--- old/usr/src/test/util-tests/tests/awk/tests/T.misc	Tue Apr 21 11:33:51 2020
+++ new/usr/src/test/util-tests/tests/awk/tests/T.misc	Tue Apr 21 11:33:51 2020
@@ -1,5 +1,7 @@
 #!/bin/bash
 
+# Copyright 2019 Joyent, Inc.
+
 if [[ -z "$AWK" || -z "$WORKDIR" ]]; then
     printf '$AWK and $WORKDIR must be set\n' >&2
     exit 1
@@ -130,7 +132,7 @@
 grep "calling undefined function foo" $TEMP0 >/dev/null || fail "BAD: T.misc undefined function"
 
 
-# gawk arrayparm test; should give error about function 
+# gawk arrayparm test; should give error about function
 $AWK '
 BEGIN {
     foo[1]=1;
@@ -363,7 +365,7 @@
 echo 1 > $TEMP1
 $AWK '	{ n = split($0, x)
 	  for (i in x) {
-	 	if (i == 1)
+		if (i == 1)
 			exit } }
 	END { print NR }' /etc/passwd > $TEMP2
 cmp -s $TEMP1 $TEMP2 || fail 'BAD: T.misc immmediate exit 5'
@@ -370,7 +372,7 @@
 
 echo XXXXXXXX > $TEMP1
 $AWK 'BEGIN { s = "ab\fc\rd\be"
-	t = s; 	gsub("[" s "]", "X", t); print t }' > $TEMP2
+	t = s;	gsub("[" s "]", "X", t); print t }' > $TEMP2
 cmp -s $TEMP1 $TEMP2 || fail 'BAD: T.misc weird escapes in char class'
 
 $AWK '{}' /etc/passwd glop/glop > $TEMP0 2> $TEMP2
@@ -483,7 +485,7 @@
 cmp -s $TEMP1 $TEMP2 || fail 'BAD: T.misc END must preserve $0'
 
 
-LC_NUMERIC=ru_RU.ISO8859-5 $AWK 'BEGIN {
+LC_ALL= LC_NUMERIC=ru_RU.ISO8859-5 $AWK 'BEGIN {
 	"echo 1,200" | getline;
 	if ($1 == 1.2) {
 		printf "good ";
